"use strict";

var _mongoose = _interopRequireDefault(require("mongoose"));

var _ = _interopRequireDefault(require(".."));

var _tests = require("../../../helpers/tests");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let Access;
beforeAll(() => {
  Access = _mongoose.default.model('int-access', _.default);
});
describe('access validation', () => {
  let spy;
  const details = {
    coll: 'permissions',
    role: 'foo',
    op: 'Update'
  };
  beforeAll(() => {
    spy = jest.spyOn(Access, 'findOne');
  });
  it('should fail if duplicated', async () => {
    spy.mockResolvedValue({
      _id: 'foo'
    });
    await (0, _tests.willReject)(Access.create(details));
  });
  it('should return document', async () => {
    spy.mockResolvedValue(null);
    await (0, _tests.willResolveObject)(Access.create(details), details);
  });
});