"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _decorator = require("../access/decorator");

var _default = async ({
  Model,
  firstName,
  lastName,
  email,
  password
}) => {
  if (await Model.countDocuments({
    email
  })) {
    return null;
  }

  const doc = new Model({
    firstName,
    lastName,
    email,
    role: _decorator.SUPER
  });
  await doc.setSecret();
  return doc.setPassword(password);
};

exports.default = _default;