"use strict";

var _ = _interopRequireDefault(require(".."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('express', () => ({
  Router: jest.fn().mockReturnValue({
    use: jest.fn()
  })
}));
jest.mock('../access');
jest.mock('../account');
describe('builder', () => {
  it('should throw an error without its parameters', () => {
    expect(_.default).toThrowError();
  });
  it('should return a router', () => {
    const define = jest.fn();
    expect((0, _.default)({}, {}, {
      define
    })).toEqual(expect.objectContaining({
      use: expect.any(Function)
    }));
    expect(define).toHaveBeenCalledWith('e-auth-permissions');
  });
});