"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.willResolveObject = exports.willReject = void 0;

const willReject = async fn => {
  const {
    rejects
  } = expect(fn);
  await rejects.toThrowError();
};

exports.willReject = willReject;

const willResolveObject = async (fn, obj) => {
  expect((await fn)).toMatchObject(obj);
};

exports.willResolveObject = willResolveObject;