"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = require("lodash");

const MongoVisitor = {
  set instance(m) {
    this.inst = m;
  },

  test() {
    if (!(0, _lodash.get)(this, 'inst.connection.readyState', 0)) throw new Error('MongoDB not connected');
    return true;
  },

  getAllCollections() {
    return Object.keys((0, _lodash.get)(this.inst, 'connection.models', {}));
  }

};
var _default = MongoVisitor;
exports.default = _default;