"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _mongoose = require("mongoose");

const PermissionModel = new _mongoose.Schema({
  op: {
    type: String,
    required: true,
    enum: ['Create', 'Read', 'Update', 'Delete']
  },
  coll: {
    type: String,
    required: true
  },
  role: {
    type: String
  },
  fields: {
    type: String
  }
});
var _default = PermissionModel;
exports.default = _default;