"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AccessSchema", {
  enumerable: true,
  get: function () {
    return _access.default;
  }
});
Object.defineProperty(exports, "UserSchema", {
  enumerable: true,
  get: function () {
    return _user.default;
  }
});
exports.default = void 0;

var _access = _interopRequireDefault(require("./access"));

var _user = _interopRequireDefault(require("./user"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = connection => ({
  Access: connection.model('e-auth-access', _access.default),
  User: connection.model('e-auth-users', _user.default)
});

exports.default = _default;