"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _express = require("express");

var _account = _interopRequireDefault(require("./account"));

var _access = _interopRequireDefault(require("./access"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (db, models, middleware) => {
  if (!db || !models || !middleware) throw new Error('Parameters missing');
  const router = (0, _express.Router)();
  router.use((0, _account.default)(db, models));
  router.use(middleware.define('e-auth-permissions'), (0, _access.default)(db, models));
  return router;
};

exports.default = _default;